#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"
#include "QuickTimeEventViewData.h"
#include "QuickTimeEventViewInterface.generated.h"

UINTERFACE(Blueprintable)
class DBDUIVIEWINTERFACES_API UQuickTimeEventViewInterface : public UInterface
{
	GENERATED_BODY()
};

class DBDUIVIEWINTERFACES_API IQuickTimeEventViewInterface : public IInterface
{
	GENERATED_BODY()

public:
	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void ShowQuickTimeEventSuccess();

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void ShowQuickTimeEventFail();

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void ShowQuickTimeEvent(const FQuickTimeEventViewData& quickTimeEventData);

	UFUNCTION(BlueprintCallable, BlueprintNativeEvent)
	void HideQuickTimeEvent();

};
